{"title":"Get generalLedgerSetup","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_generalledgersetup_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_generalledgersetup_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_generalledgersetup_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a general ledger setup object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":98,"chars":217},{"level":2,"title":"Request headers","slug":"request-headers","at":315,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":387,"chars":61},{"level":2,"title":"Response","slug":"response","at":448,"chars":130},{"level":2,"title":"Example","slug":"example","at":578,"chars":533},{"level":2,"title":"Related information","slug":"related-information","at":1111,"chars":139}],"text":"Retrieves the properties and relationships of a general ledger setup object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/generalLedgerSetup({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and a generalLedgerSetup object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/generalLedgerSetup({id})\n```\nResponse\nHere's an example of the response.\n```json\n{\n    \"id\": \"00000000-0000-0000-0000-000000000001\",\n    \"allowPostingFrom\": \"2025-01-01\",\n    \"allowPostingTo\": \"2025-12-31\",\n    \"additionalReportingCurrency\": \"EUR\",\n    \"localCurrencyCode\": \"USD\",\n    \"localCurrencySymbol\": \"$\",\n    \"lastModifiedDateTime\": \"2025-03-15T09:45:12Z\",\n    \"allowQueryFromConsolidation\": true\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_generalledgersetup"}